org.sunflow.core.parser

## Class SCBinaryParser

- java.lang.Object
- - org.sunflow.core.parser.SCAbstractParser
  - - org.sunflow.core.parser.SCBinaryParser

All Implemented Interfaces:
  SceneParser

    public class SCBinaryParser
    extends SCAbstractParser

### Nested Class Summary

### Nested classes/interfaces inherited from class org.sunflow.core.parser.SCAbstractParser

`SCAbstractParser.Keyword`

### Constructor Summary

Constructors
Constructor and Description
`SCBinaryParser()`

### Method Summary

Methods
`protected void` `closeParser()`
`protected void` `openParser(java.lang.String filename)`
`protected boolean` `parseBoolean()`
`protected float` `parseFloat()`
`protected int` `parseInt()`
`protected ParameterList.InterpolationType` `parseInterpolationType()`
`protected SCAbstractParser.Keyword` `parseKeyword()`
`protected Matrix4` `parseMatrix()`
`protected java.lang.String` `parseString()`
`protected java.lang.String` `parseVerbatimString()`

### Methods inherited from class org.sunflow.core.parser.SCAbstractParser

`parse, parseFloatArray`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### SCBinaryParser

    public SCBinaryParser()

### Method Detail

#### closeParser

    protected void closeParser()
                        throws java.io.IOException

Specified by:
  `closeParser` in class `SCAbstractParser`
Throws:
  `java.io.IOException`

#### openParser

    protected void openParser(java.lang.String filename)
                       throws java.io.IOException

Specified by:
  `openParser` in class `SCAbstractParser`
Throws:
  `java.io.IOException`

#### parseBoolean

    protected boolean parseBoolean()
                            throws java.io.IOException

Specified by:
  `parseBoolean` in class `SCAbstractParser`
Throws:
  `java.io.IOException`

#### parseFloat

    protected float parseFloat()
                        throws java.io.IOException

Specified by:
  `parseFloat` in class `SCAbstractParser`
Throws:
  `java.io.IOException`

#### parseInt

    protected int parseInt()
                    throws java.io.IOException

Specified by:
  `parseInt` in class `SCAbstractParser`
Throws:
  `java.io.IOException`

#### parseMatrix

    protected Matrix4 parseMatrix()
                           throws java.io.IOException

Specified by:
  `parseMatrix` in class `SCAbstractParser`
Throws:
  `java.io.IOException`

#### parseString

    protected java.lang.String parseString()
                                    throws java.io.IOException

Specified by:
  `parseString` in class `SCAbstractParser`
Throws:
  `java.io.IOException`

#### parseVerbatimString

    protected java.lang.String parseVerbatimString()
                                            throws java.io.IOException

Specified by:
  `parseVerbatimString` in class `SCAbstractParser`
Throws:
  `java.io.IOException`

#### parseInterpolationType

    protected ParameterList.InterpolationType parseInterpolationType()
                                                              throws java.io.IOException

Specified by:
  `parseInterpolationType` in class `SCAbstractParser`
Throws:
  `java.io.IOException`

#### parseKeyword

    protected SCAbstractParser.Keyword parseKeyword()
                                             throws java.io.IOException

Specified by:
  `parseKeyword` in class `SCAbstractParser`
Throws:
  `java.io.IOException`